org.eclipse.emf.cdo.compare

## Class CDOCompare.CDOIDFunction

- java.lang.Object
- - org.eclipse.emf.cdo.compare.CDOCompare.CDOIDFunction

- All Implemented Interfaces:
    com.google.common.base.Function<EObject,String>
  Enclosing class:
    CDOCompare

      public static class CDOCompare.CDOIDFunction
      extends Object
      implements com.google.common.base.Function<EObject,String>

  An `ID function` that considers the `CDOID`s of `objects`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOIDFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `apply(EObject o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.common.base.Function

      `equals`

- - ### Constructor Detail

    - #### CDOIDFunction

          public CDOIDFunction()

  - ### Method Detail

    - #### apply

          public String apply(EObject o)

      Specified by:
        `apply` in interface `com.google.common.base.Function<EObject,String>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html